% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dobserv_funcs.R
\name{pool_lt10}
\alias{pool_lt10}
\title{Pool species data with < 10 detections per species}
\usage{
pool_lt10(dobsdata)
}
\arguments{
\item{dobsdata}{input data-matrix with 4 columns:
\itemize{
\item{observerNumber - number of observer who is primary observer}
\item{species - char string with species name}
\item{N1 - number of individuals of species seen by primary observer}
\item{N2 - number of individuals of species seen by secondary observer which were missed by primary observer}
}}
}
\value{
data matrix w/ speciesName replaced if < 10 detections
}
\description{
\code{pool_lt10} pools species w/ < 10 detections
}
\examples{
\dontrun{
fname=system.file('extdata','sample.csv',package='dobserv')
data=read.csv(fname,header=F,skip=1)
pooled_data=pool_lt10(data)
}

}
\author{
Jim Hines
}
