% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dobserv_funcs.R
\name{print_by_spec}
\alias{print_by_spec}
\title{print estimates of p, summarized by species}
\usage{
print_by_spec(m, speclist, d)
}
\arguments{
\item{m}{list with model output}

\item{speclist}{list of all possible species to summarize by}

\item{d}{data matrix of detections}
}
\value{
table of estimates of N, p, by species
}
\description{
\code{print_by_species} returns table of estimates, summarized by species
 (or some other variable)
}
\examples{
#
 fname=file('sample.csv',package=dobserv)
 z1=dobserv_dep_obs(fname,mods=c(~obs,~-1+sp,~sp+obs,~sp*obs));
 m=z1$m$"p(sp * obs)"
 cat('\\nN by TRT\\n');
 n1=print_by_spec(m,as.character(z1$data$SPECIES),  z1$d)
}
\author{
Jim Hines
}
