rm(list=ls()); library(dobserv); setwd('c:/tmp')
fname=system.file('extdata','sample.csv',package='dobserv')
#  pool data with < 10 observations
d1=read.csv(fname,skip=1,header=F)
data=pool_lt10(d1);

  # pool CAGO,PUMA even though > 10 detections because all detections were by same obs.
i=which(data$sp=="CAGO" | data$sp=="PUMA"); data$sp[i]='grp1'

#  summarize by species...
sp=as.factor(as.character(data$sp)); usp=levels(sp); nsp=length(usp); d2=matrix(0,2*nsp,2)
jj=(as.numeric(sp)-1)*2+(data[,1]==data[1,1])+1
for (i in 1:nrow(data)) d2[jj[i],]=d2[jj[i],]+as.numeric(data[i,3:4])
d2=data.frame(obs=rep(1:2,nsp),sp=rep(as.character(usp),each=2),X1=d2[,1],X01=d2[,2])
#   run some models...
#      ~obs means detection depends only on observer,
#      ~sp means detection depends only on species,
#      ~xxxx means detection depends on input covariate xxxx
z1=dobserv_dep_obs(d2,mods=c(~obs,~-1+sp,~sp+obs,~sp*obs))
#   z1 is a list with output from each of the models above (plus default model, ~1)
#print(round(z1$m$`p(sp * obs)`$z,4))

fname2=system.file('extdata','sample2a.csv',package='dobserv')
d3=read.csv(fname2,header=F,skip=1); colnames(d3)=c('obs','sp','X10','X01','X11')
z2=dobserv_indep_obs(d3,mods=c(~obs))

test_that("negLL top model: 43.50", {
  expect_equal(round(as.numeric(z1$aictbl$table[1,3]),2),43.50)
})
test_that("negLL top model: 128.47", {
  expect_equal(round(as.numeric(z2$aictbl$table[1,3]),2),128.47)
})
